> For the complete documentation index, see [llms.txt](https://docs.inabit.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.inabit.com/api-reference/develop-with-inabit-api.md).

# Develop With inabit API

- [Getting Started](https://docs.inabit.com/api-reference/develop-with-inabit-api/getting-started.md): Let's get you up and running!
- [Authentication](https://docs.inabit.com/api-reference/develop-with-inabit-api/getting-started/authentication.md): How to retrieve a JWT access token to perform queries and mutations in our GraphQL API
- [inabit Postman Collection](https://docs.inabit.com/api-reference/develop-with-inabit-api/getting-started/inabit-postman-collection.md): Easily access our GraphQL API using a premade Postman collection made for your comfort
- [Organizations](https://docs.inabit.com/api-reference/develop-with-inabit-api/organizations.md)
- [Organization Info](https://docs.inabit.com/api-reference/develop-with-inabit-api/organizations/organization-info.md): Retrieve data on your organizations, per organization ID.
- [Organization ID](https://docs.inabit.com/api-reference/develop-with-inabit-api/organizations/organization-id.md): Retrieve data on your organizations, per organization ID.
- [Organization Users](https://docs.inabit.com/api-reference/develop-with-inabit-api/organizations/organization-users.md): Retrieve all users in an organization, per organization ID.
- [Organization Contacts](https://docs.inabit.com/api-reference/develop-with-inabit-api/organizations/organization-contacts.md): Retrieve all contacts in an organization, per organization ID.
- [Organization Transactions](https://docs.inabit.com/api-reference/develop-with-inabit-api/organizations/organization-transactions.md): Retrieve all transactions in an organization, per organization ID.
- [Wallets](https://docs.inabit.com/api-reference/develop-with-inabit-api/wallets.md)
- [Wallets Info](https://docs.inabit.com/api-reference/develop-with-inabit-api/wallets/wallets-info.md): Retrieve data on your organization wallets
- [Create inabit Wallet](https://docs.inabit.com/api-reference/develop-with-inabit-api/wallets/create-inabit-wallet.md): Create an inabit wallet in your organization
- [Edit Wallet Name](https://docs.inabit.com/api-reference/develop-with-inabit-api/wallets/edit-wallet-name.md): Edit your wallet name (supported on all wallet types)
- [Generate Deposit Address](https://docs.inabit.com/api-reference/develop-with-inabit-api/wallets/generate-deposit-address.md): Adding a new coin/asset to a wallet (Generates a new wallet blockchain deposit address)
- [Fetch Deposit Address](https://docs.inabit.com/api-reference/develop-with-inabit-api/wallets/fetch-deposit-address.md): Fetching an existing coin/asset blockchain address within a wallet
- [Save Address to Whitelist](https://docs.inabit.com/api-reference/develop-with-inabit-api/wallets/save-address-to-whitelist.md): Fetching an existing coin/asset blockchain address within a wallet
- [Archive / Unarchive Wallet](https://docs.inabit.com/api-reference/develop-with-inabit-api/wallets/archive-unarchive-wallet.md): Decide if you wish to archive / unarchive a specific wallet in your organization.
- [Disconnect Exchange Wallet](https://docs.inabit.com/api-reference/develop-with-inabit-api/wallets/disconnect-exchange-wallet.md): Disconnect a specific exchange wallet in your organization.
- [Contacts](https://docs.inabit.com/api-reference/develop-with-inabit-api/contacts.md)
- [Contact Info](https://docs.inabit.com/api-reference/develop-with-inabit-api/contacts/contact-info.md): Fetch a specific contact's information in an inabit organization.
- [Create New Contact](https://docs.inabit.com/api-reference/develop-with-inabit-api/contacts/create-new-contact.md): Create a new contact in your organization.
- [Update Contact](https://docs.inabit.com/api-reference/develop-with-inabit-api/contacts/update-contact.md): Update a specific contact's details
- [Transactions](https://docs.inabit.com/api-reference/develop-with-inabit-api/transactions.md)
- [Transaction Info](https://docs.inabit.com/api-reference/develop-with-inabit-api/transactions/transaction-info.md): Retrieve data on your organization's transactions
- [Create Transfer Request](https://docs.inabit.com/api-reference/develop-with-inabit-api/transactions/create-transfer-request.md): Create a money transfer request from a specific wallet.
- [Create Batch Sweeping](https://docs.inabit.com/api-reference/develop-with-inabit-api/transactions/create-batch-sweeping.md): Create a batch transfer request from multiple wallets to sweep funds
- [Create Off Ramp Request](https://docs.inabit.com/api-reference/develop-with-inabit-api/transactions/create-off-ramp-request.md): Create a swap request from a specific wallet.
- [Create inabit Wallet Swap](https://docs.inabit.com/api-reference/develop-with-inabit-api/transactions/create-inabit-wallet-swap.md): Create a swap request from a specific wallet.
- [Create Exchange Swap](https://docs.inabit.com/api-reference/develop-with-inabit-api/transactions/create-exchange-swap.md): Create a swap request from a specific wallet.
- [Edit Transaction Note](https://docs.inabit.com/api-reference/develop-with-inabit-api/transactions/edit-transaction-note.md): Edit an existing transaction's note.
- [Utilities](https://docs.inabit.com/api-reference/develop-with-inabit-api/utilities.md)
- [Fetch Financial Asset](https://docs.inabit.com/api-reference/develop-with-inabit-api/utilities/fetch-financial-asset.md): Create a new contact in your organization.
- [Fetch Blockchains](https://docs.inabit.com/api-reference/develop-with-inabit-api/utilities/fetch-blockchains.md): Update a specific contact's details


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.inabit.com/api-reference/develop-with-inabit-api.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
